UtilityAssociationFeatureSourceQueryResult

The result of a query features operation performed on an UtilityAssociationFeatureSource. The UtilityAssociationFeatureSource.queryFeatures operation returns an object of this type.

The query result includes the nextQueryParams, which can be used to query the next set of results, the current QueryParameters, and a collection of UtilityAssociationFeatureCandidate objects that contain the queried features.

Since

300.0.0

See also

Properties

Link copied to clipboard

The candidates matching this query. The number of candidates is limited by the maxFeatures value in the QueryParameters object, if provided.

Link copied to clipboard

A QueryParameters object for retrieving the next page of results. To retrieve the next page of results, use this in a call to the UtilityAssociationFeatureSource.queryFeatures method. If there are no more pages of results, this property will be null.

Link copied to clipboard

The original query parameters used to generate this result, if provided.